Page MenuHomePhabricator

[Task] Add Noongar (nys) as a language which can be used for labels etc.
Closed, ResolvedPublic

Description

Requested at https://www.wikidata.org/wiki/Wikidata:Project_chat/Archive/2016/02#New_language

Language code: nys
Name: Noongar (variations on the name exist: the English Wikipedia uses 'Nyungar', ISO 639-3 and Wiktionary use 'Nyunga')
Script: Latin
Used by: Noongar people in Western Australia

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdding language name configuration for Wikidata

Event Timeline

Nikki created this task.Feb 23 2016, 6:49 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 23 2016, 6:49 PM
Samwilson updated the task description. (Show Details)Aug 29 2016, 12:17 PM
Samwilson added a subscriber: Samwilson.
thiemowmde renamed this task from Add Noongar (nys) as a language which can be used for labels (etc) to [Task] Add Noongar (nys) as a language which can be used for labels (etc).Aug 31 2016, 7:45 AM
thiemowmde triaged this task as Normal priority.
thiemowmde added a subscriber: thiemowmde.

@GerardM and @jhsoby: Ok from language committee side?

@Lydia_Pintscher No problems as far as I can tell.

Hoi,
The Wikipedia article has it as a macro language and that makes it
problematic.
Thanks,

GerardM

@GerardM: could you explain what this means? https://en.wikipedia.org/wiki/Nyungar_language doesn't say anything about macro; do you mean that it's composed of multiple dialects?

Hoi,
ISO 639-3 is about languages not dialects. They all have their own
ISO-639-3 code.
Thanks,

GerardM

Hoi,
ISO 639-3 is about languages not dialects. They all have their own
ISO-639-3 code.
Thanks,

GerardM

the request is about the language not dialects,

Hoi,
Exactly and according to the ISO-638-3 Noongar is a macro dialects and what
you call dialects are languages.
Thanks,

GerardM

@GerardM, "nys" is not a macro-language according to the SIL, and we follow the standards (as you so often insist yourself). So this is OK, like I said before.

Hoi,
The Wikipedia article says different. Indeed Ethnologue is leading.. By the
way these others in the article are not dialects. They may be added as well
when there is a need.
Thanks,

GerardM
Nikerabbit renamed this task from [Task] Add Noongar (nys) as a language which can be used for labels (etc) to [Task] Add Noongar (nys) as a language which can be used for labels etc..Oct 11 2016, 1:44 PM
Nikki removed a subscriber: Nikki.Oct 11 2016, 2:10 PM

The way it's been explained to me (by people who speak Noongar) is that the dialects are more like regional accents, with some particular words and usages that are unique to themselves but are still quite often understood by the others. So I'm not sure they'd be called separate languages. However, I guess it'd be cool to have labels in Wikidata in all possible, so maybe it's best to add all seven:

xgg – Goreng
xrg – Minang (Mirnong)
xbp – Bibbulman (Pipelman)
wxw – Wardandi
pnj – Pinjarup
xwj – Wajuk (Whadjuk)

Change 315912 had a related patch set uploaded (by Jon Harald Søby):
Adding language name configuration for Wikidata

https://gerrit.wikimedia.org/r/315912

jhsoby claimed this task.Oct 19 2016, 8:10 PM

Change 315912 merged by jenkins-bot:
Adding language name configuration for Wikidata

https://gerrit.wikimedia.org/r/315912

Esc3300 updated the task description. (Show Details)Jan 16 2017, 12:21 PM
jhsoby closed this task as Resolved.Feb 7 2017, 10:46 PM
Yupik added a subscriber: Yupik.Sep 15 2019, 4:20 PM